import QtQuick 2.7
import QtQuick.Controls 2.4
import AppStyle 1.0

Column {
    id: control
    spacing: 0
    width: 120

    property real minValue: -4.0
    property real maxValue: 4.0
    property real stepSize: 0.02
    property real value: 0.0

    property real itemHeight: 64

    TextButton {
        id: up
        width: control.width
        height: itemHeight
        text: "+"
        backgroundColor: AppStyle.foreground
        pressedColor: AppStyle.background
//        imgSource: "../img/arrow-up.png"
        enabled: control.value.toFixed(2) < control.maxValue
        onPressed: {
            control.value += stepSize
        }
    }

    Rectangle {
        id: valueRect
        width: control.width
        height: itemHeight
        color: "transparent"
        border {
            color: AppStyle.foreground
            width: 1
        }

        Text {
            id: valueText
            font.pixelSize: Math.min(parent.height, parent.width) * 0.4
            clip: true
            anchors.centerIn: parent
            color: AppStyle.textColor
            text: control.value == 0 ? 0 : control.value.toFixed(2)
        }
    }

    TextButton {
        id: down
        width: control.width
        height: itemHeight
//        imgSource: "../img/arrow-down.png"
        text: "-"
        backgroundColor: AppStyle.foreground
        pressedColor: AppStyle.background
        enabled: control.value.toFixed(2) > control.minValue
        onPressed: {
            control.value -= stepSize
        }
    }

}
