import QtQuick 2.7
import AppControls 1.0
import AppStyle 1.0

Item {
    id: zOffsetMenu
    property real zOffset: printerModel.zOffset.toFixed(2) //TODO: printerModel.zOffset

    Component.onCompleted: {
        rootItem.hideHead()
        if (!printerModel.zOffsetInited) {
            printerModel.updateZoffset()
        }
    }

    Item {
        anchors {
            top: parent.top
            right: parent.right
            left: parent.left
            bottom: footer.top
        }

        AppBusyIndicator {
            anchors.centerIn: parent
            visible: !zoffsetColumn.visible
        }

        Column {
            id: zoffsetColumn
            anchors.centerIn: parent
            visible: printerModel.zOffsetInited
            spacing: AppStyle.defaultMargin
            Text {
                id: zOffsetLabel
                width: zOffsetSpinBox.width
                horizontalAlignment: Text.AlignHCenter
                color: AppStyle.textColor
                text: qsTr("Calibration probe Z offset")
                font {
                    bold: true
                    pixelSize: 25
                }
            }

            AppVertSpinBox {
                id: zOffsetSpinBox
                value: printerModel.zOffset
            }
        }
    }

    Footer {
        id: footer
        anchors {
            bottom: parent.bottom
            right: parent.right
            left: parent.left
        }

        nextBtnText: qsTr("Apply")
        nextBtnVisible: printerModel.zOffsetInited
        onBackClicked: {
            rootItem.showHead()
            rootItem.back()
        }

        onNextClicked: {
            printerModel.zOffset = zOffsetSpinBox.value.toFixed(2)
            rootItem.showHead()
            rootItem.hideSetting()
        }
    }
}
